use ExtUtils::MakeMaker;
use Config;
use English;

$define = ($Config{cc} =~ /cl\.exe/i) ? '/Fo$@' : '-o $@';

@expat_files = qw(expat/xmltok/xmltok.c expat/xmltok/xmlrole.c
                  expat/xmlparse/xmlparse.c expat/xmlparse/hashtable.c);

@extras = ();

push(@extras,
     CAPI => 'TRUE')
    if ($PERL_VERSION >= 5.005 and $OSNAME eq 'MSWin32'
	and $Config{archname} =~ /-object\b/i);

push(@extras,
     ABSTRACT_FROM => 'Parser.pm',
     AUTHOR        => 'Clark Cooper (coopercl@sch.ge.com)')
    if ($ExtUtils::MakeMaker::Version >= 5.4301);
     
WriteMakefile(
	      C       => ['Parser.c', @expat_files],
              OBJECT    => '$(O_FILES)',
              DEFINE    => $define,
	      clean     => {FILES => 'expat/xml*/*.o'},
              dist      => {COMPRESS => 'gzip', SUFFIX => '.gz'},
              INC       => "-Iexpat/xmltok -Iexpat/xmlparse",
              NAME	=> 'XML::Parser',
              MAN3PODS 	=> ' ', 	# Pods will be built by installman.
              XSPROTOARG => '-noprototypes', 		# XXX remove later?
              VERSION_FROM => 'Parser.pm',
	      @extras
             );

